Skip to content
LogoLogo

IBC Wasm Client

Get

GET/ibc/lightclients/wasm/v1/checksums

Get all Wasm checksums

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Get

GET/ibc/lightclients/wasm/v1/checksums/{checksum}/code

Get Wasm code for given checksum

Path Parameters

checksumRequired
string

checksum is a hex encoded string of the code stored.

Responses